# Julien Antille, Thomas Nagy, 2005
# BSD license (see COPYING)

BOLD   ="\033[1m"
RED    ="\033[91m"
GREEN  ="\033[92m"
YELLOW ="\033[93m"
CYAN   ="\033[96m"
NORMAL ="\033[0m"

def exists(env):
	return true

def generate(env):

        from SCons.Options import Options
	cachefile = env['CACHEDIR']+'/slave_config.cache.py'
        opts = Options(cachefile)
        opts.AddOptions(
		( 'ENABLE_KIO_DIRS', 'list of dirs to look for ioslaves' ),
        )
        opts.Update(env)
	env['ENABLE_KIO_DIRS'] =""
	opts.Save(cachefile, env)
	
